# ==================================================================
# ArmarX properties
# ==================================================================

# ArmarX.CachePath:  Path for cache files
#  Attributes:
#  - Default:            ${HOME}/.armarx/mongo/.cache
#  - Case sensitivity:   no
#  - Required:           no
# ArmarX.CachePath = ${HOME}/.armarx/mongo/.cache


# ArmarX.Verbosity:  Global logging level for whole application
#  Attributes:
#  - Default:            Verbose
#  - Case sensitivity:   no
#  - Required:           no
#  - Possible values: {Debug, Error, Fatal, Important, Info, Undefined, Verbose, Warning}
# ArmarX.Verbosity = Verbose


# ArmarX.DisableLogging:  Turn logging off in whole application
#  Attributes:
#  - Default:            0
#  - Case sensitivity:   no
#  - Required:           no
#  - Possible values: {0, 1, false, no, true, yes}
# ArmarX.DisableLogging = 0


# ArmarX.ApplicationName:  Application name
#  Attributes:
#  - Default:            ""
#  - Case sensitivity:   no
#  - Required:           no
# ArmarX.ApplicationName = ""


# ArmarX.EnableProfiling:  Enable profiling of CPU load produced by this application
#  Attributes:
#  - Default:            0
#  - Case sensitivity:   no
#  - Required:           no
#  - Possible values: {0, 1, false, no, true, yes}
# ArmarX.EnableProfiling = 0


# ArmarX.DataPath:  Semicolon-separated search list for data files
#  Attributes:
#  - Default:            ""
#  - Case sensitivity:   no
#  - Required:           no
# ArmarX.DataPath = ""


# ArmarX.DefaultPackages:  List of ArmarX packages which are accessible by default
#  Attributes:
#  - Default:            ArmarXCore, ArmarXGui, MemoryX, RobotAPI, RobotComponents, ArmarXSimulation, VisionX, SpeechX, Armar3, Armar4
#  - Case sensitivity:   no
#  - Required:           no
# ArmarX.DefaultPackages = ArmarXCore, ArmarXGui, MemoryX, RobotAPI, RobotComponents, ArmarXSimulation, VisionX, SpeechX, Armar3, Armar4


# ArmarX.DependenciesConfig:  Path to the (usually generated) config file containing all data paths of all dependent projects. This property usually does not need to be edited.
#  Attributes:
#  - Default:            ./config/dependencies.cfg
#  - Case sensitivity:   no
#  - Required:           no
# ArmarX.DependenciesConfig = ./config/dependencies.cfg


# ArmarX.Config:  Comma-separated list of configuration files 
#  Attributes:
#  - Default:            ""
#  - Case sensitivity:   no
#  - Required:           no
# ArmarX.Config = ""


# ==================================================================
# ArmarX.RobotControlStateOfferer properties
# ==================================================================

# ArmarX.RobotControlStateOfferer.stateName:  name of the state to load
#  Attributes:
#  - Default:            ""
#  - Case sensitivity:   no
#  - Required:           no
# ArmarX.RobotControlStateOfferer.stateName = ""
ArmarX.RobotControlStateOfferer.stateName = "MainState"
ArmarX.RobotControlStateOfferer.proxyName = "ExampleStateChartGroupRemoteStateOfferer"

# ArmarX.RobotControlStateOfferer.proxyName:  name of the proxy to load
#  Attributes:
#  - Default:            ""
#  - Case sensitivity:   no
#  - Required:           no
# ArmarX.RobotControlStateOfferer.proxyName = ""


# ArmarX.RobotControlStateOfferer.ProfilingDepth:  -1 to profile all hierarchy levels; any positive number to stop profiling after a certain depth in the state hierarchy
#  Attributes:
#  - Default:            -1
#  - Case sensitivity:   no
#  - Required:           no
# ArmarX.RobotControlStateOfferer.ProfilingDepth = -1


# ArmarX.RobotControlStateOfferer.EnableProfiling:  enable profiler which is used for logging performance events
#  Attributes:
#  - Default:            0
#  - Case sensitivity:   no
#  - Required:           no
#  - Possible values: {0, 1, false, no, true, yes}
 ArmarX.RobotControlStateOfferer.EnableProfiling = 1


# ArmarX.RobotControlStateOfferer.MinimumLoggingLevel:  Local logging level only for this component
#  Attributes:
#  - Default:            Undefined
#  - Case sensitivity:   no
#  - Required:           no
#  - Possible values: {Debug, Error, Fatal, Important, Info, Undefined, Verbose, Warning}
# ArmarX.RobotControlStateOfferer.MinimumLoggingLevel = Undefined


# ArmarX.RobotControlStateOfferer.ObjectName:  Name of IceGrid well-known object
#  Attributes:
#  - Default:            ""
#  - Case sensitivity:   no
#  - Required:           no
# ArmarX.RobotControlStateOfferer.ObjectName = ""



